.TH ROBOT L
.SH NAME
robot - data analysis and plotting
.SH SYNOPSIS
.B robot
[
.B 
\fIgeneric-tool-options\fP
] [
\fIrobot file name\fP
] [
.B \-arraysize
\fIsize_of_arrays\fP
] [
.B \-plotscale
\fIscale_factor\fP
] [
.B \-portrait
] [
.B \-landscape
] [
.B \-notol
] [
.B \-stdin
] [
.B \-v
] [
.B \-h
]
.SH DESCRIPTION
.I Robot
is a general purpose data analysis and plotting program. It runs under
various implementations of the X window system. The user interface is
either via buttons, pull-down menus etc., quasi command-line driven,
reading commands from a file, or reading from standard input. For a
full description of the program please see the file RobotManual.ps.
.SH OPTIONS
.IP \fB\-arraysize\fP\ [\fIsize_of_arrays\fP]
specifies the size of the data arrays inside
robot. This can be changed once Robot is running using the ARRAYSIZE command.
If this argument is not used the default specified at compilation is used.
.IP \fB\-plotscale\fP\ [\fIscale_factor\fP]
sets the size of the plot relative to the "normal" size (i.e. 1).  For
example, with a small screen -plotscale 0.5 could be used.
The option -scale small will make the control panels smaller. When
Robot is running the command PLOTSCALE can change the size of
the plotting area. Note that the size of the hardcopy plotting area
is not changed.
.IP \fB\-portrait\fP
causes the plot orientation to be portrait format. The default
is landscape. (Changed from portrait in v4.93).
.br
.IP \fB\-landscape\fP
forces the plot orientation to be the (default) landscape format.
.br
.IP \fB\-notol\fP
is for using Robot under a non-OpenLook window manager such as mwm.
If this option is specified then all pop-up windows have "Dismiss" buttons.
.br
.IP \fB\-stdin\fP
makes robot read from standard input. Robot returns to its
normal mode with the command "GUI" or when an end of file is detected.
.br
.IP \fB\-v\fP
prints the version number of Robot and immediately exits.
.br
.IP \fB-h\fP
prints limited help information and then immediately exits.
.br
.IP \fIrobot\ file\ name\fP
If the name of a file containing robot commands is given the file
will be executed. If the file name ends in .dat then it is assumed that
the file contains data and the data is read into the program.
.SH SOURCE CODE
Obtainable by anonymous ftp from ftp.astro.psu.edu in
pub/astrod.
.SH AUTHOR
Robin Corbet, Dept. of Astronomy and Astrophysics, Pennsylvania 
State University (1989-1994); NASA/Goddard Space Flight Center/USRA (1994-).
.br
<robot@robotx.cx>
.br
http://www.robotx.cx
.SH BUGS


